Loading...
Searching...
No Matches
mbedtls_ctr_drbg_context Struct Reference

The CTR_DRBG context structure. More...

`#include <ctr_drbg.h>`

Collaboration diagram for mbedtls_ctr_drbg_context:
[legend]

## Data Fields

unsigned char | private_counter [16]
int | private_reseed_counter
int | private_prediction_resistance
size_t | private_entropy_len
int | private_reseed_interval
mbedtls_aes_context | private_aes_ctx
int(* | private_f_entropy )(void *, unsigned char *, size_t)
void * | private_p_entropy
mbedtls_threading_mutex_t | private_mutex

## Detailed Description

The CTR_DRBG context structure.

Definition at line 185 of file ctr_drbg.h.

## Field Documentation

## private_aes_ctx

mbedtls_aes_context mbedtls_ctr_drbg_context::private_aes_ctx

The AES context.

Definition at line 210 of file ctr_drbg.h.

## private_counter

unsigned char mbedtls_ctr_drbg_context::private_counter[16]

The counter (V).

Definition at line 186 of file ctr_drbg.h.

## private_entropy_len

size_t mbedtls_ctr_drbg_context::private_entropy_len

The amount of entropy grabbed on each seed or reseed operation, in bytes.

Definition at line 201 of file ctr_drbg.h.

## private_f_entropy

int(* mbedtls_ctr_drbg_context::private_f_entropy) (void *, unsigned char *, size_t)

The entropy callback function.

Definition at line 216 of file ctr_drbg.h.

## private_mutex

mbedtls_threading_mutex_t mbedtls_ctr_drbg_context::private_mutex

Definition at line 229 of file ctr_drbg.h.

## private_p_entropy

void* mbedtls_ctr_drbg_context::private_p_entropy

The context for the entropy function.

Definition at line 219 of file ctr_drbg.h.

## private_prediction_resistance

int mbedtls_ctr_drbg_context::private_prediction_resistance

This determines whether prediction resistance is enabled, that is whether to systematically reseed before each random generation.

Definition at line 197 of file ctr_drbg.h.

## private_reseed_counter

int mbedtls_ctr_drbg_context::private_reseed_counter

The reseed counter. This is the number of requests that have been made since the last (re)seeding, minus one. Before the initial seeding, this field contains the amount of entropy in bytes to use as a nonce for the initial seeding, or -1 if no nonce length has been explicitly set (see mbedtls_ctr_drbg_set_nonce_len()).

Definition at line 187 of file ctr_drbg.h.

## private_reseed_interval

int mbedtls_ctr_drbg_context::private_reseed_interval

The reseed interval. This is the maximum number of requests that can be made between reseedings.

Definition at line 203 of file ctr_drbg.h.

The documentation for this struct was generated from the following file:

- ctr_drbg.h